module Config.Helpers.Headers.Header exposing (headerMaker)

import Config.Helpers.CardFormat exposing (..)
import Config.Helpers.Headers.Types exposing (Header)
import Element as E
    exposing
        ( Element
        , column
        , row
        , text
        )


headerMaker : Header -> Element msg
headerMaker header =
    row
        topLevelBox
        [ cardMaker
            [ cardTitleMaker header.headerTitle
            , cardFormatter
                [ cardContentSpacing
                    [ column
                        fieldSpacer
                        [ cardSubTitleMaker
                            [ text header.headerBody ]
                        ]
                    ]
                ]
            ]
        ]
